class SomeClass {
   public:
      int Field1;
};

struct SomeStruct {
   public:
      int Field1;
      ENUM_POINTER_TYPE pt;
};

class BaseClass {
   public:
      virtual SomeStruct VirtFunc(SomeClass *pointer) {
         SomeStruct ss;
         ss.Field1 = 1;
         return ss;
      }
};

class DerivClass : public BaseClass {
   public:
      virtual SomeStruct VirtFunc(SomeClass *pointer) {
         SomeStruct ss;
         ss.Field1 = 2;
         ss.pt = CheckPointer(pointer);
         return ss;
      }
};

// Script to reproduce the issue:
void OnStart() {
   SomeClass *pointer = new SomeClass();
   BaseClass *dc = new DerivClass();

   SomeStruct ss = dc.VirtFunc(pointer);
   Alert(StringFormat("Returned: %s (%d)", EnumToString(ss.pt), ss.Field1));
   
   delete(dc);
   delete(pointer);
}
